Loading...
Searching...
No Matches
version.h File Reference

Libpostproc version macros. More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBPOSTPROC_VERSION_MINOR 3
#define | LIBPOSTPROC_VERSION_MICRO 100
#define | LIBPOSTPROC_VERSION_INT
#define | LIBPOSTPROC_VERSION
#define | LIBPOSTPROC_BUILD LIBPOSTPROC_VERSION_INT
#define | LIBPOSTPROC_IDENT "postproc" AV_STRINGIFY(LIBPOSTPROC_VERSION)

## Detailed Description

Libpostproc version macros.

Definition in file version.h.

## Macro Definition Documentation

## LIBPOSTPROC_VERSION_MINOR

#define LIBPOSTPROC_VERSION_MINOR 3

Definition at line 33 of file version.h.

## LIBPOSTPROC_VERSION_MICRO

#define LIBPOSTPROC_VERSION_MICRO 100

Definition at line 34 of file version.h.

## LIBPOSTPROC_VERSION_INT

#define LIBPOSTPROC_VERSION_INT

Value:
AV_VERSION_INT(LIBPOSTPROC_VERSION_MAJOR, \
LIBPOSTPROC_VERSION_MINOR, \
LIBPOSTPROC_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBPOSTPROC_VERSION_MINOR
#define LIBPOSTPROC_VERSION_MINOR
Definition version.h:33
LIBPOSTPROC_VERSION_MICRO
#define LIBPOSTPROC_VERSION_MICRO
Definition version.h:34
LIBPOSTPROC_VERSION_MAJOR
#define LIBPOSTPROC_VERSION_MAJOR
Definition version_major.h:29

Definition at line 36 of file version.h.

## LIBPOSTPROC_VERSION

#define LIBPOSTPROC_VERSION

Value:
AV_VERSION(LIBPOSTPROC_VERSION_MAJOR, \
LIBPOSTPROC_VERSION_MINOR, \
LIBPOSTPROC_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 39 of file version.h.

## LIBPOSTPROC_BUILD

#define LIBPOSTPROC_BUILD LIBPOSTPROC_VERSION_INT

Definition at line 42 of file version.h.

## LIBPOSTPROC_IDENT

#define LIBPOSTPROC_IDENT "postproc" AV_STRINGIFY(LIBPOSTPROC_VERSION)

Definition at line 44 of file version.h.